<?php
/**
 * Class for Demo Import
 *
 * @package Education_Hub
 */

/**
 * Demo Import class.
 *
 * @since 1.1
 */
class Signify_Demo_Import {

	function __construct() {
		add_filter( 'cp-ctdi/import_files', array( $this, 'import_files' ) );
		add_action( 'cp-ctdi/after_import', array( $this, 'after_import_setup' ) );
	}

	function import_files() {
		return array(
			array(
				'import_file_name'           => esc_html__( 'Signify Pro', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Wedding', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-wedding.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-wedding.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-wedding.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-wedding.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-wedding/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Corporate', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-corporate.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-corporate.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-corporate.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-corporate.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro-corporate/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Photography', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-photography.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-photography.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-photography.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-photography.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro-photography/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Music Light', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-light.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-light.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-light.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-light.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro-music/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Music Dark', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-dark.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-dark.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-dark.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-music-dark.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro-music-dark/',
			),
			array(
				'import_file_name'           => esc_html__( 'Signify Pro Ecommerce', 'signify-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-ecommerce.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-ecommerce.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-ecommerce.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/inc/support/ctdi/signify-pro-ecommerce.jpg',
				'preview_url'                => 'https://demo.wenthemes.com/signify-pro-ecommerce/',
			),
		);
	}

	function after_import_setup() {

		// Assign menus to their locations.
		$main_menu       = get_term_by( 'name', 'Main Menu', 'nav_menu' );
		$social_menu     = get_term_by( 'name', 'Social Menu', 'nav_menu' );
		$header_top_menu = get_term_by( 'name', 'Quick Links', 'nav_menu' );
		$social_top_menu = get_term_by( 'name', 'Social Menu', 'nav_menu' );
		set_theme_mod(
			'nav_menu_locations',
			array(
				'menu-top'      => $header_top_menu->term_id,
				'social-top'    => $social_top_menu->term_id,
				'menu-1'        => $main_menu->term_id,
				'social-footer' => $social_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Front Page' );
		$blog_page_id  = get_page_by_title( 'Blog' );
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
}

// Initialize.
$education_hub_ctdi = new Signify_Demo_Import();
